﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="Deductee_View.aspx.cs" Inherits="EasyTDS.View.Deductee_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "400"
        window.wd = "700"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div class="RadGridCtr">
                <telerik:RadGrid ID="dgData" SkinID="ClientPaging" EnableViewState="false" runat="server"
                    AllowPaging="true" AllowSorting="True" AllowFilteringByColumn="true" GridLines="None"
                    Height="95%" Width="95%" PageSize="25">
                    <ItemStyle Wrap="false" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="deductee_pid"
                        CommandItemDisplay="Bottom" TableLayout="Fixed">
                        <Columns>
                            <telerik:GridBoundColumn DataField="deducteecode" HeaderText="Party Code">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="name" HeaderText="Deductee Name">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="deducteetypename" HeaderText="Deductee Type">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="pan" HeaderText="PAN">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="town" HeaderText="Town">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                    <ClientSettings>
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                    runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%">
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                    <Items>
                        <telerik:RadToolBarButton Permission="A" CommandName="A" ImageUrl="~/img/radimages/AddRecord.gif"
                            Text="Add">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="E" CommandName="E"  
                            ImageUrl="~/img/radimages/Edit.gif" Text="Edit">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="V" CommandName="V"
                            ImageUrl="~/img/radimages/Icon.gif" Text="View">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="D" CommandName="D"
                            ImageUrl="~/img/radimages/delete.gif" Text="Delete">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <script type="text/javascript">
        $(document).ready(function() {
        });

        function pageLoad() {
            BindGrid("<%=dgData.ClientID %>");
        }

        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

        function OpenWindow(mode) {
            var text = "";
            if (mode == "A")
                text = "Add Deductee"
            else if (mode == "E")
                text = "Edit Deductee";
            else if (mode == "D")
                text = "Delete";
            else {
                mode = "V";
                text = "View Deductee";
            }
            var newurl = "";
            if (mode == "A") {
                newurl = "Deductee_Add.aspx?PageType=A";
            }
            else if (mode == "E" || mode == "V" || mode == "D") {
                var id = RadGrid_GetDataKey("<%= dgData.ClientID %>");
                if (id == null)
                    return false;
                if (mode == "D") {
                    if (confirm('Do you wish to delete this record?'))
                        RadGrid_Delete("<%= dgData.ClientID %>", { "@DeducteeID": id });
                    return false;
                }
                newurl = "Deductee_Add.aspx?PageType=" + mode + "&ID=" + id;
            }

            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }

        function RefreshGrid() {
            RadGrid_Refresh("<%= dgData.ClientID %>", { "NoRefresh": true });
        }   
    </script>

</asp:Content>
