﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TDSCertificateBatchPrint.aspx.cs" Inherits="EasyTDS.View.TDSCertificateBatchPrint" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "450"
        window.wd = "850"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <table>
                <tr>
                    <td>
                        <div style="height: 30px">
                            <asp:Label ID="lblSection" runat="server" Text=" Select TDS Section:"></asp:Label>
                            <telerik:RadComboBox ID="cboSection" runat="server" OnSelectedIndexChanged="cboSection_SelectedIndexChanged">
                            </telerik:RadComboBox>
                        </div>
                        <div style="overflow: auto; width: 400px">
                            <div class="RadGridCtr" style="height: 320px">
                                <telerik:RadGrid EnableLinqExpressions="false" ID="dgData" runat="server" AllowPaging="True"
                                    AllowSorting="True" AutoGenerateColumns="False" GridLines="None" GroupingEnabled="False"
                                    Skin="Vista" SkinID="NoTools" Height="99%" Width="96%" OnNeedDataSource="dgData_NeedDataSource"
                                    AllowFilteringByColumn="true" AllowMultiRowSelection="true" >
                                    <PagerStyle Mode="NextPrevAndNumeric" PageButtonCount="5" PagerTextFormat="Change page: {4} &amp;nbsp;({0}/{1})&amp;nbsp;&amp;nbsp;Total records : {5}" />
                                    <MasterTableView ClientDataKeyNames="deductee_pid" TableLayout="Fixed" EditMode="InPlace"
                                        AutoGenerateColumns="false">
                                        <RowIndicatorColumn Visible="false">
                                            <HeaderStyle Width="20px" />
                                        </RowIndicatorColumn>
                                        <ExpandCollapseColumn>
                                            <HeaderStyle Width="20px" />
                                        </ExpandCollapseColumn>
                                        <Columns>
                                            <telerik:GridClientSelectColumn UniqueName="chkCheck">
                                                <HeaderStyle Width="5%" />
                                            </telerik:GridClientSelectColumn>
                                            <telerik:GridBoundColumn DataField="name" HeaderText="Deductee&nbsp;of&nbsp;Name"
                                                UniqueName="name" FooterText="Total" ReadOnly="true">
                                                <HeaderStyle Width="10%" />
                                            </telerik:GridBoundColumn>
                                        </Columns>
                                    </MasterTableView>
                                    <ClientSettings AllowDragToGroup="True" AllowGroupExpandCollapse="False" AllowKeyboardNavigation="True">
                                        <Selecting AllowRowSelect="True" />
                                        <ClientEvents />
                                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                                        <Resizing AllowColumnResize="True" />
                                    </ClientSettings>
                                </telerik:RadGrid>
                            </div>
                        </div>
                    </td>
                    <td style="width: 300px">
                        <table>
                            <tr>
                                <td>
                                    <asp:Panel ID="Panel1" runat="server" GroupingText="Quarter">
                                        <asp:RadioButton ID="rdoQuarter1" Checked="true" runat="server" Text="Quarter 1" GroupName="Quarter" onclick="enterDateForQ1();"/>
                                        <asp:RadioButton ID="rdoQuarter2" runat="server" Text="Quarter 2" GroupName="Quarter" onclick="enterDateForQ2();" />
                                        <asp:RadioButton ID="rdoQuarter3" runat="server" Text="Quarter 3" GroupName="Quarter" onclick="enterDateForQ3();"/>
                                        <asp:RadioButton ID="rdoQuarter4" runat="server" Text="Quarter 4" GroupName="Quarter" onclick="enterDateForQ4();"/>
                                    </asp:Panel>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Panel ID="Panel2" runat="server" GroupingText="Date Of Payment / Crediting is between">
                                        <div>
                                            <asp:Label ID="lblStartDate" runat="server" Text="Start Date"></asp:Label>
                                            <telerik:RadDatePicker ID="rdpStartDate" runat="server">
                                            </telerik:RadDatePicker>
                                        </div>
                                        <div>
                                            <asp:Label ID="Label1" runat="server" Text="End Date Date"></asp:Label>
                                            <telerik:RadDatePicker ID="rdpEndDate" runat="server">
                                            </telerik:RadDatePicker>
                                        </div>
                                    </asp:Panel>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:CheckBox ID="chkAnnexure" runat="server" Text="Show payment details in seperate annexure" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:CheckBox ID="chkSeperateForm" runat="server" Text="Show seperate from 16A for each payment" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Panel ID="Panel3" runat="server" GroupingText="CertificateInfo">
                                        <table>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="Label2" runat="server" Text="Date of Issue"></asp:Label>
                                                </td>
                                                <td>
                                                    <telerik:RadDatePicker ID="txtDateofIssue" runat="server">
                                                    </telerik:RadDatePicker>
                                                </td>
                                                <td>
                                                    <asp:Label ID="Label7" runat="server" Text="Designation"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtDesignation" runat="server" Width="120px"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="style3">
                                                    <asp:Label ID="Label3" runat="server" Text="Place of Issue"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtPlaceofIssue" runat="server"></asp:TextBox>
                                                </td>
                                                <td>
                                                    <asp:Label ID="Label8" runat="server" Text="From"></asp:Label>
                                                </td>
                                                <td>
                                                    <telerik:RadDatePicker ID="rdpFromDate" runat="server">
                                                    </telerik:RadDatePicker>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="Label4" runat="server" Text="Signatory"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtSignatory" runat="server"></asp:TextBox>
                                                </td>
                                                <td>
                                                    <asp:Label ID="Label9" runat="server" Text="To Period"></asp:Label>
                                                </td>
                                                <td>
                                                    <telerik:RadDatePicker ID="rdpToDate" runat="server">
                                                    </telerik:RadDatePicker>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="4">
                                                    Gender
                                                    <asp:RadioButton ID="rdoMale" runat="server" Text="Male" GroupName="Gender" />
                                                    <asp:RadioButton ID="rdoFemale" runat="server" Text="Female" GroupName="Gender" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="4">
                                                    <asp:Label ID="Label5" runat="server" Text="Father's Name"></asp:Label>
                                                    <asp:TextBox ID="txtFatherName" runat="server"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <td colspan="4">
                                                <asp:CheckBox ID="chkInvoice" runat="server" Text="Use Invoice No./Narration in Certificate No For The Period Field" />
                                            </td>
                                        </table>
                                    </asp:Panel>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <asp:Panel ID="pnlButton" runat="server" Style="margin-top: 10px">
                <hlp:IconButton runat="server" Text="Preview Form 16A" ID="btnPreviewForm"></hlp:IconButton>
                <hlp:IconButton ID="btnSaveAndPrev" runat="server" Text="Save & Preview Form 16A"></hlp:IconButton>
                <hlp:IconButton ID="btnCancel" OnClientClick="MDI.Close();return false;" runat="server"
                    SkinID="Cancel" Text="Cancel" Width="80px" />
                <asp:Button ID="Button1" runat="server" Text="Button" Style="display: none" OnClick="Button1_Click" />
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .RadCalendarPopup
        {
            z-index: 500000 !important;
        }
    </style>

    <script type="text/javascript">
        $(document).ready(function() {
            });
                function pageLoad(){
                var rdoCtl1=$("#<%= rdoQuarter1.ClientID %>");
                var rdoCtl2=$("#<%= rdoQuarter2.ClientID %>");
                var rdoCtl3=$("#<%= rdoQuarter3.ClientID %>");
                var rdoCtl4=$("#<%= rdoQuarter4.ClientID %>");
                if(rdoCtl1.checked()){
                enterDateForQ1();
                }
                else if(rdoCtl2.checked()){
                enterDateForQ2();
                }
                else if(rdoCtl3.checked()){
                enterDateForQ3();
                }
                else if(rdoCtl4.checked()){
                enterDateForQ4();
                }
                }
                function RefreshGrid() {
                    $get("<%= Button1.ClientID %>").click();
                }  
                var year="<%=TdsBAL.Globals.Users.AssessmentYear %>";
                
                function enterDateForQ1(){
                var assessmentYear=("<%=TdsBAL.Globals.Users.AssessmentYear %>").substring(0, 4);
                 var date1 = new Date();
                date1.setFullYear(assessmentYear,"03", "01");
                var rdpStartDate=$find("<%= rdpStartDate.ClientID %>");
                rdpStartDate.set_selectedDate(date1);
                $find("<%= rdpFromDate.ClientID %>").set_selectedDate(date1);
             
                var date2=new Date();
                date2.setFullYear(assessmentYear,"06", "0");
                $find("<%= rdpEndDate.ClientID %>").set_selectedDate(date2);
                $find("<%= rdpToDate.ClientID %>").set_selectedDate(date2);
                }
                
                function enterDateForQ2(){
                var assessmentYear=("<%=TdsBAL.Globals.Users.AssessmentYear %>").substring(0, 4);
                 var date1 = new Date();
                date1.setFullYear(assessmentYear,"06", "01");
                var rdpStartDate=$find("<%= rdpStartDate.ClientID %>");
                rdpStartDate.set_selectedDate(date1);
                $find("<%= rdpFromDate.ClientID %>").set_selectedDate(date1);
             
                var date2=new Date();
                date2.setFullYear(assessmentYear,"09", "0");
                $find("<%= rdpEndDate.ClientID %>").set_selectedDate(date2);
                $find("<%= rdpToDate.ClientID %>").set_selectedDate(date2);
                }
                
                function enterDateForQ3(){
                var assessmentYear=("<%=TdsBAL.Globals.Users.AssessmentYear %>").substring(0, 4);
                 var date1 = new Date();
                date1.setFullYear(assessmentYear,"09", "01");
                var rdpStartDate=$find("<%= rdpStartDate.ClientID %>");
                rdpStartDate.set_selectedDate(date1);
                $find("<%= rdpFromDate.ClientID %>").set_selectedDate(date1);
             
                var date2=new Date();
                date2.setFullYear(assessmentYear,"12", "0");
                $find("<%= rdpEndDate.ClientID %>").set_selectedDate(date2);
                $find("<%= rdpToDate.ClientID %>").set_selectedDate(date2);
                }
                
                function enterDateForQ4(){
                var assessmentYear=("<%=TdsBAL.Globals.Users.AssessmentYear %>").substring(0,4);
                 var date1 = new Date();
                date1.setFullYear(assessmentYear,"12", "01");
                var rdpStartDate=$find("<%= rdpStartDate.ClientID %>");
                rdpStartDate.set_selectedDate(date1);
                $find("<%= rdpFromDate.ClientID %>").set_selectedDate(date1);
             assessmentYear=("<%=TdsBAL.Globals.Users.AssessmentYear %>").substring(4,8);
                var date2=new Date();
                date2.setFullYear(assessmentYear,"03", "0");
                $find("<%= rdpEndDate.ClientID %>").set_selectedDate(date2);
                $find("<%= rdpToDate.ClientID %>").set_selectedDate(date2);
                }
    </script>

</asp:Content>
