﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TDSStatistics_View.aspx.cs" Inherits="EasyTDS.View.TDSStatistics_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "510"
        window.wd = "550"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div style="height: 30px">
                <asp:Label ID="lblHead" runat="server" Text="Section: "></asp:Label>
                <telerik:RadComboBox ID="rcbSection" runat="server" AutoPostBack="true" OnSelectedIndexChanged="rcbSection_SelectedIndexChanged"
                    Width="450px">
                </telerik:RadComboBox>
            </div>
            <div class="RadGridCtr" style="height: 420px">
                <telerik:RadGrid EnableLinqExpressions="false" ID="dgData" runat="server" AllowSorting="True"
                    AutoGenerateColumns="False" GridLines="None" GroupingEnabled="False" Skin="Vista"
                    Height="98.5%" Width="99%" OnNeedDataSource="dgData_NeedDataSource" SkinID="NoTools"
                    OnItemDataBound="OnItemDataBound">
                    <PagerStyle Mode="NextPrevAndNumeric" PageButtonCount="5" PagerTextFormat="Change page: {4} &amp;nbsp;({0}/{1})&amp;nbsp;&amp;nbsp;Total records : {5}" />
                    <MasterTableView ClientDataKeyNames="MonthID" TableLayout="Fixed" EditMode="InPlace"
                        AutoGenerateColumns="false">
                        <RowIndicatorColumn Visible="false">
                            <HeaderStyle Width="10px" />
                        </RowIndicatorColumn>
                        <ExpandCollapseColumn>
                            <HeaderStyle Width="10px" />
                        </ExpandCollapseColumn>
                        <Columns>
                            <telerik:GridBoundColumn DataField="MonthName" HeaderText="Month" UniqueName="MonthName"
                                ReadOnly="true">
                                <HeaderStyle Width="20%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn ItemStyle-HorizontalAlign="Right" DataField="deductions"
                                HeaderText="Deductions" UniqueName="deductions" ReadOnly="true">
                                <HeaderStyle Width="18%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn ItemStyle-HorizontalAlign="Right" DataField="challanadjusted"
                                HeaderText="Challan (Adjusted against deductions)" UniqueName="challanadjusted"
                                ReadOnly="true">
                                <HeaderStyle Width="25%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn ItemStyle-HorizontalAlign="Right" DataField="challanUnAdjusted"
                                HeaderText="Balance To Be Adjusted" UniqueName="challanUnAdjusted" ReadOnly="true">
                                <HeaderStyle Width="25%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <asp:Button CssClass="rowButton" ID="btnDetails" runat="server" Text="Details" Visible='<%# HelperLib.Extensions.BaseExtensions.C2Bool(Eval("Value")) %>'
                                        OnClientClick='<%#  "return OpenWindow(\""+ DataBinder.Eval(Container.DataItem, "MonthID")+"\");" %>' />
                                </ItemTemplate>
                                <HeaderStyle Width="12%" />
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowDragToGroup="True" AllowGroupExpandCollapse="False" AllowKeyboardNavigation="True">
                        <Selecting AllowRowSelect="True" />
                        <ClientEvents />
                        <Scrolling AllowScroll="True" ScrollHeight="80px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
            </div>
            <asp:Panel ID="pnlButton" runat="server" Style="margin-top: 10px; margin-left: 435px">
                <hlp:IconButton ID="btnCancel" OnClientClick="MDI.Close();return false;" runat="server"
                    SkinID="Cancel" Text="Cancel" Width="80px" />
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .RadCalendarPopup
        {
            z-index: 500000 !important;
        }
        .rowBackground
        {
           color: #6E133E;
  background-color: #F4F4F4;
  font-weight: bolder;
        }
        .rowQuarter
        {
             background-color: #C9DBFF;
  height: 30px;
  font-weight: bold;
        }
        .rowTotal
        {
               background-color: #5B8D7D;
  height: 35px;
  font-weight: bold;
  color: #FFF;
        }
        .rowButton
        {
            color: white;
            line-height: normal;
            width: auto;
            font-family: Arial;
            font-weight: bold;
            cursor: pointer;
            display: inline-block;
            background-color: #0064CD;
            background-repeat: repeat-x;
            text-decoration: none;
            padding: 4px 8px 4px 8px;
            vertical-align: middle;
            background-image: -webkit-linear-gradient(top, #049cdb, #0064cd);
            border-radius: 4px;
            border-color: #d0d7e5;
        }
    </style>

    <script type="text/javascript">
      var rdoChange;
      
      $(document).ready(function() {
                    });
                    
       function OpenWindow(id) {
            var sectionID=$find("<%= rcbSection.ClientID %>").get_value();
            var text = "";
            var newurl = "";
            text = "TDS Details";
            newurl = "TDSDetails_View.aspx?PgKey="+$.QS("PgKey")+"&ID=" + id+"&SectionID="+sectionID;
            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }         

    </script>

</asp:Content>
