﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TallyImportUtility.aspx.cs" Inherits="EasyTDS.View.TallyImportUtility" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "510"
        window.wd = "600"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }
        var dbSection = [];
        var dbBank = [];
    </script>

    <style>
        tblError
        {
            width: 99%;
            margin-top: 2px;
        }
        .tblError, .tblError tr, .tblError td
        {
            border: 1px solid;
        }
        .tblError td
        {
            font-family: nunitregular;
            font-weight: normal;
            font-size: 11px;
        }
        .center
        {
            text-align: center;
        }
        .tblError th
        {
            text-align: center;
            background-color: #CACACA;
            color: #000;
            border: 1px solid #000;
        }
        .tblError .num
        {
            text-align: right;
        }
        .divCntr
        {
            width: 98%;
            height: 98%;
            overflow: auto;
            margin-top: 6px;
        }
        .delete
        {
            border-radius: 8px;
            height: 16px;
            width: 16px;
            background-color: #FF7045;
            border: none;
            text-align: left;
            padding-left: 5px;
            padding-bottom: 3px;
            margin-left: 3px;
            color: #FFF;
        }
        .delete:hover
        {
            background-color: red;
        }
        #ctl00_ContentPlaceHolder1_UpdatePanel1
        {
            height: 100%;
        }
        #divMapping
        {
            position: absolute;
            z-index: 3500;
            top: 30px;
            left: 10px;
            background-color: #FFFCF7;
            height: 91%;
            width: 96%;
            padding: 5px;
            border-radius: 6px;
            border: 2px solid #616267;
        }
        #divBankMapping
        {
            position: absolute;
            z-index: 3500;
            top: 30px;
            left: 10px;
            background-color: #FFFCF7;
            height: 91%;
            width: 96%;
            padding: 5px;
            border-radius: 6px;
            border: 2px solid #616267;
        }
        .btnCntr
        {
            position: absolute;
            right: 5px;
            bottom: 5px;
        }
        .link
        {
            font-size: 13px;
            font-weight: bold;
            color: #7400CC;
            text-decoration: underline;
            padding: 1px;
        }
        .link:hover
        {
            color: Green;
        }
        .tdsheadddl
        {
            color: #008000;
            font-weight: bold;
        }
        .mastertext
        {
            color: purple;
            font-weight: bold;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div style="margin-top: 20px;">
                <asp:CheckBox ID="chkGrossAmt" Checked="true" runat="server" onclick="ToggleTxt()"
                    Text="Include Gross Amount" />
                <telerik:RadTextBox Width="70%" Text="UDF:_UDF_687866167.LIST,UDF:TDSAMOUNTX.LIST"
                    ID="txtGrossAmt" runat="server">
                </telerik:RadTextBox>
            </div>
            <div style="margin-top: 20px;">
                <asp:CheckBox ID="chkDuplicates" Checked="true" runat="server" Text="Avoid duplicates entries based on " />
                <asp:DropDownList ID="ddlDuplicates" runat="server">
                    <asp:ListItem Text="Voucher Number" Value="vnumber"></asp:ListItem>
                    <asp:ListItem Text="GUID" Value="guid"></asp:ListItem>
                </asp:DropDownList>
            </div>
            <table style="width: 100%; margin-top: 10px;">
                <tr>
                    <td>
                        <asp:Label runat="server" Text="Select XML file to upload" ID="lblSelectFile">
                        </asp:Label>
                    </td>
                    <td>
                        <telerik:RadAsyncUpload runat="server" ID="uplFile" Width="300px" TemporaryFolder="~\View\temp"
                            MaxFileInputsCount="1" AllowedFileExtensions="xml" OnClientValidationFailed="validationFailed"
                            OnClientFileUploaded="fileUploaded">
                        </telerik:RadAsyncUpload>
                    </td>
                    <td>
                        <asp:Button ID="btnUpload" runat="server" Style="display: none;" Text="Upload" OnClick="btnUpload_Click" />
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <asp:Label ID="lblStatus" SkinID="boldLabel" Style="color: Green" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
            <div style="margin-top: 20px;">
                <asp:Label ID="lblTDSYear" runat="server" Text="TDS Year"></asp:Label>
                <telerik:RadComboBox ID="ddlTDSYear" runat="server" Width="200px">
                </telerik:RadComboBox>
            </div>
            <div style="margin-top: 20px;">
                <asp:Label ID="lblTAN" runat="server" Text="Branch"></asp:Label>
                <telerik:RadComboBox ID="ddlTan" runat="server" Width="200px">
                </telerik:RadComboBox>
            </div>
            <telerik:RadComboBox Style="display: none" CssClass="sections" ID="rcbSections" runat="server">
            </telerik:RadComboBox>
            <asp:DropDownList Style="display: none; width: 90%;" ID="ddlSection" runat="server"
                onchange="sectionChanged()">
            </asp:DropDownList>
            <div style="margin-top: 20px;" runat="server" visible="false" id="divSectn">
                <a href="javascript:void(0)" class="link" id="lnkSectionMap" onclick="ShowSectionMapping()">
                    Section Mapping</a><br />
            </div>
            <div style="margin-top: 20px;" runat="server" visible="false" id="divBnk">
                <a class="link" href="javascript:void(0)" id="lnkBankMap" onclick="ShowBankMapping()">
                    Bank Mapping</a>
            </div>
            <div id="divMapping" style="display: none">
                <div class="divCntr">
                    <table style="width: 100%">
                        <tr>
                            <td>
                                <telerik:RadComboBox ID="rcbLedgerNames1" Width="83%" runat="server">
                                    <HeaderTemplate>
                                        <asp:TextBox ID="txtSearch" runat="server" Style="width: 92%; height: 15px"></asp:TextBox>
                                        <asp:Button ID="btnSearch" Style="width: 20px; background: transparent url(../img/filter-icon.PNG) no-repeat;
                                            border: none; cursor: pointer" runat="server" OnClientClick="return SetVisibilityOfItems(this,'rcbLedgerNames1')" />
                                    </HeaderTemplate>
                                </telerik:RadComboBox>
                                <asp:Button ID="btnAdd" CssClass="ActionButton GreenButton" runat="server" Text="Add"
                                    OnClientClick="return AddTDSLedger();" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table id="tblSection" class="mapsections tblError" style="width: 100%" cellpadding="2"
                                    cellspacing="2">
                                    <tr>
                                        <th style="width: 47%">
                                            TDS Sections
                                        </th>
                                        <th style="width: 48%">
                                            Sections
                                        </th>
                                        <th style="width: 5%">
                                        </th>
                                    </tr>
                                    <tr class="template default" style="display: none">
                                        <td>
                                            <asp:Label ID="lblTdsSectionName" runat="server" SkinID="LblNoSkin" CssClass="sectionname"></asp:Label>
                                        </td>
                                        <td>
                                            <a href="javascript:void(0)" class="lnksection" onclick="showDdl(this)">Select Section</a>
                                        </td>
                                        <td>
                                            <input type="button" class="delete" title="Delete this record" onclick="deleteRow(this)"
                                                value="x" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                    <div class="btnCntr">
                        <asp:Button CssClass="ActionButton GreenButton" ID="btnSubmitMapping" runat="server"
                            Text="Save" OnClientClick="return SaveMapping();" />
                        <asp:Button ID="btnCancelMapping" CssClass="ActionButton RedButton" runat="server"
                            Text="Cancel" OnClientClick="$('#divMapping').HideModal();return false;" />
                    </div>
                </div>
            </div>
            <div id="divBankMapping" style="display: none">
                <div class="divCntr">
                    <table style="width: 100%">
                        <tr>
                            <td>
                                <telerik:RadComboBox ID="rcbLedgerNames2" Width="83%" runat="server">
                                    <HeaderTemplate>
                                        <asp:TextBox ID="txtSearch" runat="server" Style="width: 92%; height: 15px"></asp:TextBox>
                                        <asp:Button ID="btnSearch" Style="width: 20px; background: transparent url(../img/filter-icon.PNG) no-repeat;
                                            border: none; cursor: pointer" runat="server" OnClientClick="return SetVisibilityOfItems(this,'rcbLedgerNames2')" />
                                    </HeaderTemplate>
                                </telerik:RadComboBox>
                                <asp:Button ID="btnAddBank" Text="Add Bank" CssClass="ActionButton BlueButton" runat="server"
                                    OnClientClick="return AddBank();" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table id="tblBank" style="width: 100%" class="mapbank tblError" cellpadding="1"
                                    cellspacing="1">
                                    <tr>
                                        <th style="width: 90%">
                                            Bank
                                        </th>
                                        <th style="width: 10%">
                                        </th>
                                    </tr>
                                    <tr class="banktemplate" style="display: none">
                                        <td>
                                            <asp:Label ID="Label1" runat="server" SkinID="LblNoSkin" CssClass="bankname"></asp:Label>
                                        </td>
                                        <td>
                                            <input type="button" class="delete" title="Delete this record" onclick="deleteBankRow(this)"
                                                value="x" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="btnCntr">
                    <asp:Button ID="btnBankOk" CssClass="ActionButton GreenButton" runat="server" Text="Save"
                        OnClientClick="return SaveBankMapping();" />
                    <asp:Button ID="btnBankCancel" CssClass="ActionButton RedButton" runat="server" Text="Cancel"
                        OnClientClick="$('#divBankMapping').HideModal();return false;" />
                </div>
            </div>
            <asp:Panel ID="pnlButton" runat="server" Style="margin-top: 10px; float: right; position: absolute;
                right: 7px; bottom: 4px;">
                <hlp:IconButton ID="btnSubmit" runat="server" Text="Import" OnClick="btnSubmit1_Click"
                    SkinID="Submit" Width="80px" />
                <asp:Button ID="btnSubmit2" Visible="false" runat="server" />
                <hlp:IconButton ID="btnCancel" OnClientClick="MDI.Close();return false;" runat="server"
                    Text="Cancel" Width="80px" SkinID="Cancel" />
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>

    <script type="text/javascript">
        function pageLoad() {
            LoadSectionMapping();
            LoadBankMapping();
            ToggleTxt();
        }
        function validationFailed(sender, eventArgs) {
            alert("Please upload files that are of .xml type")
        }
        function fileUploaded(sender, args) {
            $get("<%=btnUpload.ClientID %>").click();

        }

        function AddTDSLedger() {
            var rcbLedgerNames1 = $find("<%= rcbLedgerNames1.ClientID %>");
            var text = rcbLedgerNames1.get_selectedItem().get_text();
            var value = rcbLedgerNames1.get_selectedItem().get_value();
            if (!$(".mapsections").find("tr[id='" + value + "']").eq(0).exists()) {
                var tr = $(".default").eq(0).clone();
                $(".mapsections").append($(tr));
                $(tr).attr("ID", value);
                $(".mapsections").find("tr[id='" + value + "']").eq(0).find(".sectionname").eq(0).text(text);
                $(tr).addClass("trdata");
                $(tr).show();
            }
            return false;

        }
        function AddBank() {
            var rcbLedgerNames2 = $find("<%= rcbLedgerNames2.ClientID %>");
            var text = rcbLedgerNames2.get_selectedItem().get_text();
            var value = rcbLedgerNames2.get_selectedItem().get_value();
            if (!$(".mapbank").find("tr[id='" + value + "']").eq(0).exists()) {
                var tr = $(".banktemplate").eq(0).clone();
                $(".mapbank").append($(tr));
                $(tr).attr("ID", value);
                $(".mapbank").find("tr[id='" + value + "']").eq(0).find(".bankname").eq(0).text(text);
                $(tr).addClass("trdata");
                $(tr).show();
            }
            return false;

        }
        function deleteRow(btnDelete) {
            if (confirm("Do you want to remove this record?")) {
                appendtoBody();
                $(btnDelete).closest("tr").remove();
            }
            return false;
        }


        function deleteBankRow(btnBankDelete) {
            if (confirm("Do you want to remove this record?")) {
                appendtoBody();
                $(btnBankDelete).closest("tr").remove();
            }

            return false;
        }

        function showDdl(link) {

            var ddlSection = $("#<%= ddlSection.ClientID %>");
            if (ddlSection.isVisible()) {
                sectionChanged(null, null);
            }
            $(link).parent().append(ddlSection);
            $(link).hide();
            $(ddlSection).show();

            var value = $(link).attr("sectionvalue");
            if (value != null && value != "" && value != undefined) {
                ddlSection.val(value);
            }
        }

        function appendtoBody() {
            var ddlSection = $("#<%= ddlSection.ClientID %>");
            $("body").append(ddlSection);
            ddlSection.hide();
        }

        function sectionChanged(sender, args) {
            var ddlSection = $("#<%= ddlSection.ClientID %>");
            var text = ddlSection.selectedItem().text();
            var value = ddlSection.selectedItem().val();
            var link = ddlSection.parent().find(".lnksection");
            link.html(text);
            link.attr("sectionvalue", value);
            appendtoBody();
            link.show();
        }

        function SaveMapping() {
            var arrRows = new Array();
            var arrResult = new Array();
            var arrRes = new Array();
            arrRows = $("#tblSection").find(".trdata");

            for (var r = 0; r < arrRows.length; r++) {
                arrResult = new Object();
                var arrCols = [];
                arrCols = $(arrRows[r]).find('TD');
                for (var c = 0; c < arrCols.length; c++) {
                    var tdnode = $(arrCols[c]).node(0);
                    var nodedata = "";
                    if (tdnode.hasClass("sectionname"))
                        nodedata = tdnode.html();
                    else if (tdnode.hasClass("lnksection"))
                        nodedata = tdnode.attr("sectionvalue");
                    else
                        continue;
                    arrResult[c] = nodedata;

                }
                arrRes[r] = arrResult;
            }

            var data = new Object();
            data["Type"] = "SaveSectionMapping";
            data["SectionData"] = arrRes;
            PageMethods.Execute(data, onSectionSuccess, onSectionError);
            return false;
        }
        function onSectionSuccess() {
            alert("Successfully Saved.");
            $("#divMapping").HideModal();
            return false;
        }

        function onSectionError() {
            alert("Error occured while saving records");
            return false;
        }
        function SaveBankMapping() {

            var arrRows = new Array();
            var arrResult = new Array();
            var arrRes = new Array();
            arrRows = $("#tblBank").find(".trdata");

            for (var r = 0; r < arrRows.length; r++) {
                arrResult = new Object();
                var arrCols = [];
                arrCols = $(arrRows[r]).find('TD');
                for (var c = 0; c < arrCols.length; c++) {
                    var tdnode = $(arrCols[c]).node(0);
                    var nodedata = "";
                    if (tdnode.hasClass("bankname"))
                        nodedata = tdnode.html();
                    else
                        continue;
                    arrResult[c] = nodedata;

                }
                arrRes[r] = arrResult;
            }

            var data = new Object();
            data["Type"] = "SaveBankMapping";
            data["BankData"] = arrRes;
            PageMethods.Execute(data, onBankSuccess, onBankError);
            return false;
        }
        function onBankSuccess() {
            alert("Successfully Saved.");
            $("#divBankMapping").HideModal();
            return false;
        }

        function onBankError() {
            alert("Error occured while saving records");
            return false;
        }

        function ShowBankMapping() {
            $("#divBankMapping").ShowModal();

            return false;
        }

        function ShowSectionMapping() {
            $("#divMapping").ShowModal();

            return false;
        }

        function LoadSectionMapping() {
            for (var i = 0; i < dbSection.length; i++) {
                var tr = $(".default").eq(0).clone();
                $(".mapsections").append($(tr));
                $(tr).find(".sectionname").eq(0).text(dbSection[i]["ledgername"]);
                $(tr).find(".lnksection").eq(0).text(dbSection[i]["tdssectionname"]);
                $(tr).find(".lnksection").eq(0).attr("sectionvalue", dbSection[i]["tdssection_fid"])
                $(tr).addClass("trdata");
                $(tr).show();
            }
        }
        function LoadBankMapping() {
            for (var i = 0; i < dbBank.length; i++) {
                var tr = $(".banktemplate").eq(0).clone();
                $(".mapbank").append($(tr));
                $(tr).find(".bankname").eq(0).text(dbBank[i]["ledgername"]);
                $(tr).addClass("trdata");
                $(tr).show();
            }
        }
        function SetVisibilityOfItems(btnSearch, mode) {
            var rcbClient = $find("ctl00_ContentPlaceHolder1_" + mode);
            var txtSearch;
            txtSearch = $(btnSearch).prev();
            if (txtSearch != null)
                txtSearch = txtSearch.val().toLowerCase();
            rcbClient.get_items().forEach(
                    function(n) {
                        var text = n.get_text();
                        if (text.toLowerCase().indexOf(txtSearch) >= 0) {
                            n.set_visible(true);
                        }
                        else
                            n.set_visible(false);
                    }
                    );
            return false;
        }


        function ToggleTxt() {
            var checked = $("#<%= chkGrossAmt.ClientID %>").checked();
            if (checked)
                $("#<%= chkGrossAmt.ClientID %>").next().next().show();
            else
                $("#<%= chkGrossAmt.ClientID %>").next().next().hide();
        }
    </script>

</asp:Content>
