//This code was created by the fine folks at Switch On The Code - http://blog.paranoidferret.com
//This code can be used for any purpose

function animate(elementID, newLeft, newTop, newWidth,
      newHeight, time, callback)
{

  var el = document.getElementById(elementID);  
  if(el == null)
    {  
    return;
    }

  var cLeft = null;
  var cTop = null;
  var cWidth =null;
  var cHeight =null;
  var fLeft=null;var fTop =null;var fWidth=null;var fHeight=null;
  
  var totalFrames = 1;
  if(time> 0)
    totalFrames = time/40;

  
  if(newLeft !=null){
  cLeft = parseInt(el.style.left);
  fLeft = newLeft - cLeft;
  if(fLeft != 0)
    fLeft /= totalFrames;
  }
 
  if(newTop !=null){
  cTop = parseInt(el.style.top);
  fTop = newTop - cTop;
  if(fTop != 0)
    fTop /= totalFrames;
  }
  
  if(newWidth !=null){
  cWidth = parseInt(el.style.width);
  fWidth = newWidth - cWidth;
  if(fWidth != 0)
    fWidth /= totalFrames;
  }
  
  if(newHeight !=null){
  cHeight = parseInt(el.style.height);
  fHeight = newHeight - cHeight;
  if(fHeight != 0)
    fHeight /= totalFrames;
  }
  
  doFrame(elementID, cLeft, newLeft, fLeft,
      cTop, newTop, fTop, cWidth, newWidth, fWidth,
      cHeight, newHeight, fHeight, callback);
}

function doFrame(eID, cLeft, nLeft, fLeft,
      cTop, nTop, fTop, cWidth, nWidth, fWidth,
      cHeight, nHeight, fHeight, callback)
{
   var el = document.getElementById(eID);
   if(el == null)
     return;
     
  if(nLeft != null){
  cLeft = moveSingleVal(cLeft, nLeft, fLeft);
  el.style.left = Math.round(cLeft) + 'px';
  }
  if(nTop != null){
  cTop = moveSingleVal(cTop, nTop, fTop);
  el.style.top = Math.round(cTop) + 'px';
  }
  if(nWidth != null){
  cWidth = moveSingleVal(cWidth, nWidth, fWidth);
  el.style.width = Math.round(cWidth) + 'px';
  }
  if(nHeight != null){
  cHeight = moveSingleVal(cHeight, nHeight, fHeight);
  el.style.height = Math.round(cHeight) + 'px';
  }

  if(cLeft == nLeft && cTop == nTop && cHeight == nHeight
    && cWidth == nWidth)
  {
    if(callback != null)
      callback(el);
    return;
  }

  setTimeout( 'doFrame("'+eID+'",'+cLeft+','+nLeft+','+fLeft+','
    +cTop+','+nTop+','+fTop+','+cWidth+','+nWidth+','+fWidth+','
    +cHeight+','+nHeight+','+fHeight+','+callback+')', 40);
}

function moveSingleVal(currentVal, finalVal, frameAmt)
{
  if(frameAmt == 0 || currentVal == finalVal)
    return finalVal;
 
  currentVal += frameAmt;
  if((frameAmt> 0 && currentVal>= finalVal)
    || (frameAmt <0 && currentVal <= finalVal))
  {
    return finalVal;
  }
  return currentVal;
}
