
		//////////////////////////drag operations/////////////////////////////////
function dbrowse() {

  var ua, s, i;

  this.isIE    = false;
  this.isNS    = false;
  this.version = null;

  ua = navigator.userAgent;

  s = "MSIE";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isIE = true;
    this.version = parseFloat(ua.substr(i + s.length));
    return;
  }

  s = "Netscape6/";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isNS = true;
    this.version = parseFloat(ua.substr(i + s.length));
    return;
  }

  s = "Gecko";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isNS = true;
    this.version = 6.1;
    return;
  }
}


var dbrowse = new dbrowse();

// Global object to hold drag information.

var dragObj = null;
//dragObj.zIndex = 0;

function dragStart(event, id,onlyMoveRefId,_refX,_refY,callback,disableCapture,captureId) {
  dragObj = new Object();
  var el;
  var x, y;
  if(typeof refX=="undefined" )
    refX=0;
  if(typeof refY=="undefined")
    refY=0;       
    if (dbrowse.isIE){
        if(typeof captureId !="undefined" && captureId !="")
            dragObj.elNode = document.getElementById(captureId);
        else
            dragObj.elNode = event.srcElement;
    }
    if (dbrowse.isNS){
      if(typeof captureId !="undefined" && captureId !="")
            dragObj.elNode = document.getElementById(captureId);
        else
            dragObj.elNode = event.target;
    }

     if(typeof callback=="function")
        dragObj.CallBack=callback;
     else
        dragObj.CallBack=null;

    // If this is a text node, use its parent element.
   
    if (dragObj.elNode.nodeType == 3)
      dragObj.elNode = dragObj.elNode.parentNode;
      
    dragObj.disableCapture=false;
    if(disableCapture)
        dragObj.disableCapture=true;
    
    dragObj.elNodeRef=null;
    if (id){    
    if(typeof id =="string")
        dragObj.elNodeRef = document.getElementById(id);
    else 
       dragObj.elNodeRef =id;         
    }
  // Get cursor position with respect to the page.

  if (dbrowse.isIE) {
    x = event.clientX + document.documentElement.scrollLeft
      + document.body.scrollLeft;
    y = event.clientY + document.documentElement.scrollTop
      + document.body.scrollTop;
  }
  if (dbrowse.isNS) {
    x = event.clientX + window.scrollX;
    y = event.clientY + window.scrollY;
  }

  // Save starting positions of cursor and element.
  dragObj.refX = refX;
  dragObj.refY = refY;
  dragObj.cursorStartX = x;
  dragObj.cursorStartY = y;
  if(onlyMoveRefId)
  {
  dragObj.elStartLeft  = parseInt(dragObj.elNodeRef.offsetLeft, 10);
  dragObj.elStartTop   = parseInt(dragObj.elNodeRef.offsetTop,  10);
  dragObj.onlyMoveRefId=true
  }
  else
  {
  dragObj.elStartLeft  = parseInt(dragObj.elNode.offsetLeft, 10);
  dragObj.elStartTop   = parseInt(dragObj.elNode.offsetTop,  10);
  dragObj.onlyMoveRefId=false;
  }


  if (isNaN(dragObj.elStartLeft)) dragObj.elStartLeft = 0;
  if (isNaN(dragObj.elStartTop))  dragObj.elStartTop  = 0;


  if (dbrowse.isIE) {
        if(dragObj.disableCapture){
                document.attachEvent("onmousemove",dragGo);   
                document.attachEvent("onmouseup",dragStop);   
        }
        else if(onlyMoveRefId){
                dragObj.elNodeRef.attachEvent("onmousemove",dragGo);   
                dragObj.elNodeRef.attachEvent("onmouseup",dragStop);   
                dragObj.elNodeRef.setCapture();        
        }
        else{
            dragObj.elNode.attachEvent("onmousemove",dragGo);   
            dragObj.elNode.attachEvent("onmouseup",dragStop);  
            dragObj.elNode.setCapture(); 
        }    
        event.cancelBubble = true;
        event.returnValue = false;
  }
  else if (dbrowse.isNS) {
     document.addEventListener("mousemove", dragGo,   true);
     document.addEventListener("mouseup",   dragStop, true);     
     dragObj.elNode.addEventListener("mousemove", dragGo,   true);
     dragObj.elNode.addEventListener("mouseup",   dragStop, true);
     event.preventDefault();     
  }
  
}

function dragGo(event) {
  var x, y;
  if (dbrowse.isIE) {
    x = window.event.clientX + document.documentElement.scrollLeft
      + document.body.scrollLeft;
    y = window.event.clientY + document.documentElement.scrollTop
      + document.body.scrollTop;
  }
  else if (dbrowse.isNS) {
    x = event.clientX + window.scrollX;
    y = event.clientY + window.scrollY;
  }  

 if(dragObj.onlyMoveRefId !=true){
    dragObj.elNode.style.left = (dragObj.elStartLeft + x - dragObj.cursorStartX) + "px";
    dragObj.elNode.style.top  = (dragObj.elStartTop   + y - dragObj.cursorStartY) + "px";
 }
 if(dragObj.elNodeRef != null){
    dragObj.elNodeRef.style.left = (dragObj.elStartLeft + dragObj.refX + x - dragObj.cursorStartX) + "px";
    dragObj.elNodeRef.style.top  = (dragObj.elStartTop + dragObj.refY + y - dragObj.cursorStartY) + "px";
 }
 if (dbrowse.isIE){
    window.event.cancelBubble = true;
    window.event.returnValue = false;
 }
 else if (dbrowse.isNS)
    //event.preventDefault();
    event.preventDefault();
}

function dragStop(event) {
  if (dbrowse.isIE) {
       if(dragObj.disableCapture){
                document.detachEvent("onmousemove",dragGo);   
                document.detachEvent("onmouseup",dragStop);   
        }
       else if(dragObj.onlyMoveRefId){
            dragObj.elNodeRef.detachEvent("onmousemove",dragGo);   
            dragObj.elNodeRef.detachEvent("onmouseup",dragStop);   
            dragObj.elNodeRef.releaseCapture();
        }
        else{
            dragObj.elNode.detachEvent("onmousemove",dragGo);   
            dragObj.elNode.detachEvent("onmouseup",dragStop);  
            dragObj.elNode.releaseCapture(); 
        }    
  }
  else if (dbrowse.isNS) {
    document.removeEventListener("mousemove", dragGo,   true);
    document.removeEventListener("mouseup",   dragStop, true);    
    dragObj.elNodeRef.removeEventListener("mousemove", dragGo,   true);
    dragObj.elNodeRef.removeEventListener("mouseup",   dragStop, true);     
    dragObj.elNode.removeEventListener("mousemove", dragGo,   true);
    dragObj.elNode.removeEventListener("mouseup",   dragStop, true);            
     
  }
 
  if(typeof dragObj.CallBack == "function")
    dragObj.CallBack(event,dragObj.elNode,dragObj.elNodeRef);
  
  dragObj.elNodeRef=null;
  dragObj.elNode=null;
  dragObj.CallBack=null;
  dragObj=null;
}