﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TDSSavedCertificate_View.aspx.cs" Inherits="EasyTDS.View.TDSSavedCertificate_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "450"
        window.wd = "700"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div style="height: 30px">
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblSection" runat="server" Text="Section: "></asp:Label>
                            <telerik:RadComboBox ID="CboSection" runat="server" Width="430px">
                            </telerik:RadComboBox>
                        </td>
                        <td>
                            <asp:Label ID="Label1" runat="server" Text="Quarter: "></asp:Label>
                            <telerik:RadComboBox ID="cboQuarter" runat="server" Width="80px">
                                <Items>
                                    <telerik:RadComboBoxItem Text="All" Value="All" runat="server" />
                                    <telerik:RadComboBoxItem Text="Quarter 1" Value="Q1" runat="server" />
                                    <telerik:RadComboBoxItem Text="Quarter 2" Value="Q2" runat="server" />
                                    <telerik:RadComboBoxItem Text="Quarter 3" Value="Q3" runat="server" />
                                    <telerik:RadComboBoxItem Text="Quarter 4" Value="Q4" runat="server" />
                                </Items>
                            </telerik:RadComboBox>
                        </td>
                        <td>
                            <asp:Button ID="btnFilter" runat="server" Text="Filter" OnClientClick=" return btnFilterClick()"
                                CssClass="filterButton" Width="42px" />
                        </td>
                    </tr>
                </table>
            </div>
            <div style="height: 90%">
                <div class="RadGridCtr">
                    <telerik:RadGrid ID="dgData" SkinID="ClientPaging" EnableViewState="false" runat="server"
                        AllowPaging="true" AllowSorting="True" AllowFilteringByColumn="true" GridLines="None"
                        Height="95%" Width="100%" PageSize="10">
                        <ItemStyle Wrap="false" />
                        <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="tdscertificate_pid"
                            CommandItemDisplay="Bottom" TableLayout="Fixed">
                            <Columns>
                                <telerik:GridBoundColumn DataField="certficatenumber" HeaderText="Certificate Number">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="name" HeaderText="Deductee Name">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="deducteecode" HeaderText="Party Code">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="dateofissue" HeaderText="Date Of Issue" DataFormatString="{0:dd-MM-yyyy}">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="tdssectionname" HeaderText="Section">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="tanname" HeaderText="TAN Registration">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="Quarter1" HeaderText="Quarter">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="formname" HeaderText="Certificate Type">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="tdsyearmaster_fid" HeaderText="TDS Year">
                                    <HeaderStyle Width="10%" />
                                </telerik:GridBoundColumn>
                                <telerik:GridTemplateColumn HeaderText=" " DataField="tdscertificate_pid">
                                    <ItemTemplate>
                                        <asp:LinkButton ID="LinkButton1" runat="server" OnClientClick="return OpenWindow1(this)">View Details</asp:LinkButton>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridBoundColumn DataField="tdscertificate_pid" HeaderText="TDS Year" Display="false">
                                    <HeaderStyle Width="0%" />
                                </telerik:GridBoundColumn>
                            </Columns>
                            <CommandItemTemplate>
                            </CommandItemTemplate>
                        </MasterTableView>
                        <PagerStyle AlwaysVisible="true" Mode="Slider" />
                        <ClientSettings>
                            <Selecting AllowRowSelect="True" />
                            <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                            <Resizing AllowColumnResize="True" />
                        </ClientSettings>
                    </telerik:RadGrid>
                    <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                        runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%">
                        <CollapseAnimation Duration="200" Type="OutQuint" />
                        <Items>
                            <telerik:RadToolBarButton CommandName="P" Permission="P" ImageUrl="~/img/radimages/print.png"
                                Text="Print">
                            </telerik:RadToolBarButton>
                            <telerik:RadToolBarButton CommandName="D" Permission="D" ImageUrl="~/img/radimages/delete.gif"
                                Text="Delete">
                            </telerik:RadToolBarButton>
                             <telerik:RadToolBarButton CommandName="X" ImageUrl="~/img/radimages/Icon.gif" Text="Export To CSV">
                                        </telerik:RadToolBarButton>
                            <telerik:RadToolBarButton CommandName="C" Permission="C" ImageUrl="~/img/radimages/Cancel.gif"
                                Text="Close">
                            </telerik:RadToolBarButton>
                        </Items>
                    </telerik:RadToolBar>
                </div>
            </div>
            <div id="divPrint" style="padding: 10px; position: absolute; width: 400px; top: 0px;
                left: 0px; display: none; z-index: 100000">
                <asp:Panel ID="pnlPrint" runat="server" Style="background-color: #F9F9F7;" SkinID="PnlNoSkin"
                    GroupingText="Preview Saved Certificate">
                    <div style="margin: 10px 10px 5px 10px;">
                        <table style="width: 100%;">
                            <tr>
                                <td>
                                    <asp:RadioButton ID="rdoCertificateNo" runat="server" Text="Certificate No." GroupName="Certificate"
                                        onclick="return CertificateNo(this)" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblFrom" Text="From" runat="server"></asp:Label>
                                    <telerik:RadNumericTextBox ID="txtFromNo" runat="server">
                                    </telerik:RadNumericTextBox>
                                    <asp:Label ID="lblTo" Text="To" runat="server"></asp:Label>
                                    <telerik:RadNumericTextBox ID="txtToNo" runat="server">
                                    </telerik:RadNumericTextBox>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:RadioButton ID="rdoAllCertificate" runat="server" Text="All Certificates " GroupName="Certificate"
                                        onclick="return AllCertificates(this)" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:CheckBox ID="chkAnnexure" runat="server" Text="Show payment details in seperate annexure" />
                                </td>
                            </tr>
                        </table>
                        <div style="text-align: right; margin-top: 5px; width: 100%;">
                            <asp:Button ID="btnOK" runat="server" Text="OK" OnClientClick="if(!PrintCertificate())return false;"
                                OnClick="btnOK_Click" /><nobr />
                            <asp:Button ID="btnCancel" runat="server" Text="Cancel" OnClientClick="return CancelSubmit();" />
                        </div>
                    </div>
                </asp:Panel>
            </div>
            <asp:HiddenField ID="hdnSectionID" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .filterButton
        {
            text-decoration: none;
            background-color: #c3d8f1 font-weight: bold;
            vertical-align: middle;
            background-image: -webkit-linear-gradient(top, #c3d8f1 , #c3d8f1 );
            border-radius: 4px;
            border-color: #B0D2D6;
            width: 100px;
        }
    </style>

    <script type="text/javascript">
       var TanRegID;
        function pageLoad() {
           var DeducteeID=$.QS("DeducteeID");
           var CertificateType=$.QS("CertificateType");
           var SectionID=$find("<%= CboSection.ClientID %>").get_value();
           var QuarterID=$find("<%= cboQuarter.ClientID %>").get_value();
           BindGrid("<%=dgData.ClientID %>",{"@DeducteeID":DeducteeID,"@TanRegID":TanRegID,"@SectionID":SectionID,"@CertificateType":CertificateType,"@QuarterID":QuarterID});
        }
        
        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "X") {
                var DeducteeID = $.QS("DeducteeID");
                var CertificateType = $.QS("CertificateType");
                var SectionID = $find("<%= CboSection.ClientID %>").get_value();
                var QuarterID = $find("<%= cboQuarter.ClientID %>").get_value();
                BindGrid("<%=dgData.ClientID %>", { "@DeducteeID": DeducteeID, "@TanRegID": TanRegID, "@SectionID": SectionID, "@CertificateType": CertificateType, "@QuarterID": QuarterID, "Type": "SavedCertificateList_CSV" }, null, "Export");
                return false;
            }
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else if(mode == "P") { 
                 
                var certificateNo =RadGrid_GetSelectedCellText("<%= dgData.ClientID %>", 0);
                SetTextData("<%= txtFromNo.ClientID %>",certificateNo);
                Copy_RadTextBox("<%= txtFromNo.ClientID %>","<%= txtToNo.ClientID %>",true);
                if(certificateNo == null)                {
                    SetBoolData("<%= rdoCertificateNo.ClientID %>",false);
                    SetBoolData("<%= rdoAllCertificate.ClientID %>",true);
                    Render_RadTextBox("<%= txtFromNo.ClientID %>",false);
                    Render_RadTextBox("<%= txtToNo.ClientID %>",false);
                }
                else               {
                    SetBoolData("<%= rdoCertificateNo.ClientID %>",true);
                    SetBoolData("<%= rdoAllCertificate.ClientID %>",false);
                    Render_RadTextBox("<%= txtFromNo.ClientID %>",true);
                    Render_RadTextBox("<%= txtToNo.ClientID %>",true);
                }
                SetBoolData("<%= chkAnnexure.ClientID %>",false);
                $("#divPrint").ShowModal();
            }
            else if (mode == "D") {
                var id = RadGrid_GetDataKey("<%= dgData.ClientID %>");
                if (id == null)
                    return false;
                var DeducteeID=$.QS("DeducteeID");
                var CertificateType=$.QS("CertificateType");
                var SectionID=$find("<%= CboSection.ClientID %>").get_value();
                if (confirm('Do you wish to delete this record?'))
                  RadGrid_Delete("<%= dgData.ClientID %>", {"@CertificateID": id ,"@DeducteeID":DeducteeID,"@TanRegID":TanRegID,"@SectionID":SectionID,"@CertificateType":CertificateType});
                  return false;
            }
        }
        
        function RefreshGrid() {
             var DeducteeID=$.QS("DeducteeID");
             var CertificateType=$.QS("CertificateType");
             var SectionID=$find("<%= CboSection.ClientID %>").get_value();
             var QuarterID=$find("<%= cboQuarter.ClientID %>").get_value();
             BindGrid("<%=dgData.ClientID %>", { "@DeducteeID": DeducteeID, "@TanRegID": TanRegID, "@SectionID": SectionID, "@CertificateType": CertificateType, "@QuarterID": QuarterID, "NoRefresh": true });
        }   
        
        
        function CboSection_OnClientSelectedIndexChanged(sender,args) {
                var DeducteeID=$.QS("DeducteeID");
                var SectionID=$find("<%= CboSection.ClientID %>").get_value();
                var QuarterID=$find("<%= cboQuarter.ClientID %>").get_value();
                var CertificateType=$.QS("CertificateType");
                BindGrid("<%=dgData.ClientID %>",{"@DeducteeID":DeducteeID,"@TanRegID":TanRegID,"@SectionID":SectionID,"@CertificateType":CertificateType});
        }
        
        function OpenWindow1(ctl) {
             var DeducteeID=$.QS("DeducteeID");
             var CertificateType=$.QS("CertificateType");
             var id = $(ctl).parent().next().text();
             if (id == null)
                return false;
            var text = "View TDS Transactions";
            var newurl = "DeducteeCompute_View.aspx?PgKey="+$.QS("PgKey")+"&PageCall=SavedCertificate&CertificateID="+id+"&DeducteeID="+DeducteeID+"&TanRegID="+TanRegID+"&CertificateType="+CertificateType+"&IsView=1";
            parent.parent.NewMDI(newurl, text).ShowDialog().MoveTo(1);
             return false;
        }
        
        function OpenPrint(RepName, key, QueryClass) {
            var newurl = "print.aspx?RepName=" + RepName + "&RepKey=" + key + "&QueryClass=" + QueryClass + "&FromSP=1";
            MDIMain.OpenPrint(newurl);
            return false;
        }
        
        function CancelSubmit() {
                $("#divPrint").HideModal();
                return false;
        }
            
        function PrintCertificate(sender, args) {
            var QuerterId =$find("<%= cboQuarter.ClientID %>").get_value();
            var SectionID=$find("<%= CboSection.ClientID %>").get_value();
            $("#<%= hdnSectionID.ClientID %>").val(SectionID);
                 $("#divPrint").HideModal();
                return true ;
        }
            
       function AllCertificates(ctl){
            Render_RadTextBox("<%= txtFromNo.ClientID %>",false);
             Render_RadTextBox("<%= txtToNo.ClientID %>",false);
       }
            
       function CertificateNo(ctl){
            var control=$(ctl);
            Render_RadTextBox("<%= txtFromNo.ClientID %>",true);
            Render_RadTextBox("<%= txtToNo.ClientID %>",true); 
       }
            
      function btnFilterClick(sender ,args){
            var DeducteeID=$.QS("DeducteeID");
            var SectionID=$find("<%= CboSection.ClientID %>").get_value();
            var QuarterID=$find("<%= cboQuarter.ClientID %>").get_value();
            var CertificateType=$.QS("CertificateType");
            BindGrid("<%=dgData.ClientID %>",{"@DeducteeID":DeducteeID,"@TanRegID":TanRegID,"@SectionID":SectionID,"@CertificateType":CertificateType,"@QuarterID":QuarterID});
            return false;
      }
            
    </script>

</asp:Content>
